services:
  paramconverter.latest_revision:
    class: Drupal\content_moderation\ParamConverter\EntityRevisionConverter
    arguments: ['@entity.manager', '@content_moderation.moderation_information']
    tags:
      - { name: paramconverter, priority: 5 }
  content_moderation.state_transition_validation:
    class: \Drupal\content_moderation\StateTransitionValidation
    arguments: ['@entity_type.manager', '@entity.query']
  content_moderation.moderation_information:
    class: Drupal\content_moderation\ModerationInformation
    arguments: ['@entity_type.manager']
  access_check.latest_revision:
    class: Drupal\content_moderation\Access\LatestRevisionCheck
    arguments: ['@content_moderation.moderation_information']
    tags:
      - { name: access_check, applies_to: _content_moderation_latest_version }
  content_moderation.revision_tracker:
    class: Drupal\content_moderation\RevisionTracker
    arguments: ['@database']
    tags:
     - { name: backend_overridable }
